%global pkg_name ghc-paths

%global common_summary Interface to GHC's installation directories

%global common_description Knowledge of GHC's installation directories.

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.1.0.6
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%ghc_lib_package


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.1.0.6-1
- update to 0.1.0.6
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package
- build shared library
- drop redundant buildroot and its install cleaning


* Tue Sep 22 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-9
- rebuild to test versioned ghcdocdir in ghc-rpm-macros

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-7
- buildrequires ghc-rpm-macros (cabal2spec-0.16)

* Fri Apr 24 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-6
- update to cabal2spec-0.14

* Mon Mar  9 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-5
- package renamed from ghc-paths
- update to cabal2spec-0.12

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Jens Petersen <petersen@redhat.com> - 0.1.0.5-3
- update to latest packaging template: use bcond and add doc subpackage

* Tue Dec 23 2008 Jens Petersen <petersen@redhat.com> - 0.1.0.5-2
- improve summary and description (#476483)

* Mon Dec 15 2008 Jens Petersen <petersen@redhat.com> - 0.1.0.5-1
- initial packaging for Fedora
